<!doctype html>
<html lang="en">
    <head>
        <title>Simple pfSense App</title>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link type="text/css" rel="stylesheet" href="./vendor/bootstrap.min.css" />
        <link type="text/css" rel="stylesheet" href="./vendor/bootstrap-vue.min.css" />
        <script src="./vendor/vue.min.js"></script>
        <script src="./vendor/bootstrap-vue.min.js"></script>
        <script src="./vendor/bootstrap-vue-icons.min.js"></script>
        <link type="text/css" rel="stylesheet" href="./app.css" />
    </head>
    <body>
        <div id="app">
            <div>
                <b-navbar toggleable="lg" type="dark" variant="info">
                    <b-navbar-brand>Internet Thingy</b-navbar-brand>
                </b-navbar>
            </div>
            <div class="container-fluid">
                <b-list-group v-for="rule in rules">
                    <b-list-group-item>{{ rule.description }}
                        <b-button-group class="float-right">
                            <b-button
                                    class="btn-outline-primary"
                                    v-bind:class="[rule.disabled ? 'inactive-btn' : 'active-btn']"
                                    v-on:click="clickedOn(rule.tracker)"
                                    :disable="isWorking"
                            >On</b-button>
                            <b-button
                                    class="btn-outline-primary"
                                    v-bind:class="[rule.disabled ? 'active-btn' : 'inactive-btn']"
                                    v-on:click="clickedOff(rule.tracker)"
                                    :disable="isWorking"
                            >Off</b-button>
                        </b-button-group>
                    </b-list-group-item>
                </b-list-group>
            </div>
        </div>
    </body>
    <script src="./app.js" defer></script>
</html>